package com.zxhyis.toolss.ui.page

import android.content.Intent
import android.graphics.Color
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.zxhyis.toolss.base.TopActivity
import com.zxhyis.toolss.databinding.ActivityLayoutCleanGuestBinding
import com.zxhyis.toolss.logic.startActivity
import com.zxhyis.toolss.ui.home.MainActivity

class CleanGuestActivity : TopActivity<ActivityLayoutCleanGuestBinding>() {
    override fun getViewBinding1(): ActivityLayoutCleanGuestBinding {
        return ActivityLayoutCleanGuestBinding.inflate(layoutInflater)
    }

    override fun init() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        vb.root.updatePadding(top = BarUtils.getStatusBarHeight())
        vb.idTvSkip.setOnClickListener {
            startActivity(Intent(this,MainActivity::class.java))
            finish()
        }
        vb.idTvClean.setOnClickListener {
            startActivity<PrepareScanActivity>()
            finish()
        }
    }
}